package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * CreateProviderProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CreateProviderProfileEntity   {
  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("providerSettings")
  private ProviderSettingVo providerSettings;

  public CreateProviderProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Provider profile name
   * @return profileName
  */
  @ApiModelProperty(required = true, value = "Provider profile name")
  @NotNull

@Pattern(regexp="^[^ ]$|^[^ ].{0,62}[^ ]$") 
  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public CreateProviderProfileEntity providerSettings(ProviderSettingVo providerSettings) {
    this.providerSettings = providerSettings;
    return this;
  }

  /**
   * Get providerSettings
   * @return providerSettings
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public ProviderSettingVo getProviderSettings() {
    return providerSettings;
  }

  public void setProviderSettings(ProviderSettingVo providerSettings) {
    this.providerSettings = providerSettings;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateProviderProfileEntity createProviderProfileEntity = (CreateProviderProfileEntity) o;
    return Objects.equals(this.profileName, createProviderProfileEntity.profileName) &&
        Objects.equals(this.providerSettings, createProviderProfileEntity.providerSettings);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileName, providerSettings);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateProviderProfileEntity {\n");
    
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    providerSettings: ").append(toIndentedString(providerSettings)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

